# -*- coding:utf-8 -*-

# インポートに共通するルーチン

require 'rubygems'
gem 'activerecord'
require 'active_record'
require 'nkf'
require 'logger'

def establish_connection logfile
  ActiveRecord::Base.logger = Logger.new logfile
  ActiveRecord::Base.establish_connection(
  :adapter => 'postgresql',
  :host => 'localhost',
  :username => 'horikawa',
  :password => '1230',
  :database => 'keihi')
end

def sjis2utf8 s
  if s
    NKF.nkf('-w -S -m0', s)
  else
    nil
  end
end

def find_account_title(major, minor)
  raise TypeError if !major.is_a?(Integer) || !minor.is_a?(Integer)
  raise ArgumentError, "major = #{major}" if major == 0
  AccountTitle.find(:first, :conditions => ["account_code = ? and suppl_code = ?", major, minor])
end

def find_division_by_code(division_code)
  if division_code && division_code != ""
    Division.find(:first, :conditions => ["division_code = ?", division_code])
  else
    nil
  end
end

def find_worker worker_code
  if worker_code
    raise TypeError if !worker_code.is_a?(Integer)
    User.find(:first, :conditions => ["worker_code = ?", worker_code])
  else
    nil
  end
end
